from iot.blueprints.sensor.models import nbiotDevice, nbiotDeviceStatus, nbiotDeviceType, nbiotDeviceArea
from sqlalchemy import case



def queryById(id):
    return nbiotDevice.query.filter_by(id=id).first()


def queryStatusChoices(curretnId):
    choices = nbiotDeviceStatus.query.order_by(case((nbiotDeviceStatus.id == curretnId, 0),else_=1),nbiotDeviceStatus.name.asc())
    return choices


def queryTypeChoices(curretnId):
    choices = nbiotDeviceType.query.order_by(case((nbiotDeviceType.id == curretnId, 0),else_=1),nbiotDeviceType.name.asc())
    return choices


def queryAreaChoices(curretnId):
    choices = nbiotDeviceArea.query.order_by(case((nbiotDeviceArea.id == curretnId, 0),else_=1),nbiotDeviceArea.name.asc())
    return choices
